#ifndef RENDER_H
#define RENDER_H

#include <QWidget>
#include <QString>

#include <QGraphicsView>
#include <QGraphicsPixmapItem>
#include <QMouseEvent>
#include <QFileDialog>
#include <my_image.h>
#include "funkce.h"

namespace Ui {
    class render;
}

class render : public QWidget {
    Q_OBJECT
public:
    render(QWidget *parent = 0);
    ~render();
    QString File_Path;
    my_image * image;
    void Load_Image(QString fileName);
protected:
    void changeEvent(QEvent *e);
    virtual void mousePressEvent ( QMouseEvent * event ) ;
    void show(QString path);
    void createMyImage(QString path);
private:
    Ui::render *ui;
    QGraphicsScene *scene;
    QGraphicsPixmapItem *item;

signals:
    void new_image_load(render  *p);
};

#endif // RENDER_H
